/*********************************************************
*
*  Multi Theft Auto: San Andreas - Deathmatch
*
*  MySQL 5.0, External lua add-on module
*  http://www.multitheftauto.com
*
*  Copyright  2003-2008 MTA.  All Rights Reserved.
*
*  Grand Theft Auto is  2002-2003 Rockstar North
*
*  THE FOLLOWING SOURCES ARE PART OF THE MULTI THEFT
*  AUTO SOFTWARE DEVELOPMENT KIT AND ARE RELEASED AS
*  OPEN SOURCE FILES. THESE FILES MAY BE USED AS LONG
*  AS THE DEVELOPER AGREES TO THE LICENSE THAT IS
*  PROVIDED WITH THIS PACKAGE.
*
*********************************************************/

class CMySQL;

#ifndef __CMYSQL_H
#define __CMYSQL_H

#ifdef WIN32
#include <winsock.h>
#endif

#ifdef WIN32
#include <mysql.h>
#else
#include <mysql/mysql.h>
#endif

#include "Common.h"
#include "CThread.h"
#include "CMySQLData.h"

#include "include/ILuaModuleManager.h"
extern ILuaModuleManager *pModuleManager;

class CMySQL : public CThread
{
public:
							CMySQL			( void );
	virtual					~CMySQL			( void );

	int						Execute			( CThreadData* pIn );

	CMySQLData*				pData;
	MYSQL					pDB;
};

#endif
