/*********************************************************
*
*  Multi Theft Auto: San Andreas - Deathmatch
*
*  MySQL 5.0, External lua add-on module
*  http://www.multitheftauto.com
*
*  Copyright  2003-2008 MTA.  All Rights Reserved.
*
*  Grand Theft Auto is  2002-2003 Rockstar North
*
*  THE FOLLOWING SOURCES ARE PART OF THE MULTI THEFT
*  AUTO SOFTWARE DEVELOPMENT KIT AND ARE RELEASED AS
*  OPEN SOURCE FILES. THESE FILES MAY BE USED AS LONG
*  AS THE DEVELOPER AGREES TO THE LICENSE THAT IS
*  PROVIDED WITH THIS PACKAGE.
*
*********************************************************/

class CMySQLData;

#ifndef __CMYSQLDATA_H
#define __CMYSQLDATA_H

#include "Common.h"
#include "CThreadData.h"

#define MAX_PARAMETERS	10
#define MAX_RESULTS		100

class CMySQLData : public CThreadData
{
public:
	enum
	{
		MYSQL_OPEN = 1,
		MYSQL_CLOSE = 2,
		MYSQL_QUERY = 3,
		MYSQL_RESULT = 4
	};
						CMySQLData			( void );

	int					iCommand;
	unsigned char		nParameters;
	void*				pParameter[MAX_PARAMETERS];

	lua_State*			luaVM;
	const char*			szCallbackFunction;
};

#endif
